Bug 1692181 (CVE-2019-9810) - CVE-2019-9810 Mozilla: IonMonkey MArraySlice has incorrect alias information
Summary: CVE-2019-9810 Mozilla: IonMonkey MArraySlice has incorrect alias information
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9810
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1692183 1692184 1692185 1692186 1692551 1692552 1692553 1692554 1703886 1703892
Blocks: 1691861 1692550
TreeView+ depends on / blocked
 
Reported: 2019-03-24 23:03 UTC by Doran Moppert
Modified: 2021-02-16 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:51:44 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0671 0 None None None 2019-03-27 08:02:13 UTC
Red Hat Product Errata RHSA-2019:0672 0 None None None 2019-03-27 09:44:06 UTC
Red Hat Product Errata RHSA-2019:0680 0 None None None 2019-03-28 14:48:23 UTC
Red Hat Product Errata RHSA-2019:0681 0 None None None 2019-03-28 14:49:46 UTC
Red Hat Product Errata RHSA-2019:0966 0 None None None 2019-05-07 04:18:09 UTC
Red Hat Product Errata RHSA-2019:1144 0 None None None 2019-05-13 05:03:29 UTC

Description Doran Moppert 2019-03-24 23:03:36 UTC
Incorrect alias information in IonMonkey JIT compiler for Array.prototype.slice method may lead to missing bounds check and a buffer overflow.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-10/#CVE-2019-9810

Comment 1 Doran Moppert 2019-03-24 23:03:38 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Richard Zhu and Amat Cama via Trend Micro's Zero Day Initiative

Comment 6 Doran Moppert 2019-03-26 06:24:32 UTC
Statement:

In general, this flaw be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.

Comment 7 errata-xmlrpc 2019-03-27 08:02:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0671 https://access.redhat.com/errata/RHSA-2019:0671

Comment 8 errata-xmlrpc 2019-03-27 09:44:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0672 https://access.redhat.com/errata/RHSA-2019:0672

Comment 9 errata-xmlrpc 2019-03-28 14:48:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0680 https://access.redhat.com/errata/RHSA-2019:0680

Comment 10 errata-xmlrpc 2019-03-28 14:49:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0681 https://access.redhat.com/errata/RHSA-2019:0681

Comment 11 errata-xmlrpc 2019-05-07 04:18:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0966 https://access.redhat.com/errata/RHSA-2019:0966

Comment 12 errata-xmlrpc 2019-05-13 05:03:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1144 https://access.redhat.com/errata/RHSA-2019:1144


Note You need to log in before you can comment on or make changes to this bug.